Apple released macOS 10.15 - "Catalina" - in October 2019. This major update includes more deprecations than previous macOS releases, and you may have already seen other software manufacturer's warning about not updating your operating system for compatibility reasons.


Sonnox have been working with Apple to test our plug-ins throughout the beta stages of Catalina, and we're pleased to say that most, if not all, compatibility issues have been ironed out prior to public release.


However, we strongly recommend remaining on your current version of macOS until all the software you use has been qualified for use on Catalina. 


Not sure if you should upgrade?

If you're considering upgrading, you should ensure you have the latest versions of all your Sonnox software and iLok drivers installed. Because Catalina will no longer support 32-bit applications, you must be using Sonnox G5 licences; if your plug-ins are still G4, you will need to upgrade to G5 to add 64-bit installers for your plug-ins.

Please get in touch with us if you're not sure - our support team is always happy to address any questions or concerns you may have. Create a new ticket here.


Already using Sonnox plug-ins on macOS Catalina?

We'd love to hear about your experiences, good or bad. Get in touch to let us know.